Subject: Re: bug#6736: Windows: make maintainer-clean does not restore fully clean bzr tree

From: Christoph <[email-masked]>
Date: Sun, 01 Aug 2010 19:39:06 -0600

On 7/27/2010 7:16 AM, Jason Rumney wrote:

> Anything in ../bin is put there by "make install".

Actually, cmdproxy.exe is copied to bin by `make bootstrap', since 
(according to a comment in the makefile) it needs it during the 
bootstrap process.

> I'm pretty sure make
> maintainer-clean doesn't uninstall installed executables on other platforms
> either, but then those platforms will also have installed copies of
> other things that maintainer-clean does delete. Also if cmdproxy.exe is
> the only file left in ../bin, then that seems more like a buggy
> oversight than deliberately leaving the installed files alone.

OK. What about the site-lisp directory? Is it safe to delete it too or 
could the user have files in it that he does not want to loose?

Christoph